## mpd-sima 0.7.2

=== Makefile ===
SHELL = /bin/sh
PREFIX = /usr/local
#DESTDIR = /tmp/mpd-sima
LIBDIR = $(DESTDIR)$(PREFIX)/lib
BIN = $(DESTDIR)$(PREFIX)/bin
ETC = $(DESTDIR)/etc
DATADIR = $(DESTDIR)$(PREFIX)/share
LOCALEDIR = $(DATADIR)/locale
MANDIR = $(DATADIR)/man

all: man bin
clean:
	rm -f mpd-sima.1.gz simadb_cli.1.gz mpd-sima simadb_cli

mpd-sima.1.gz:
	cat data/mpd-sima.1 | gzip > mpd-sima.1.gz

simadb_cli.1.gz:
	cat data/simadb_cli.1 | gzip > simadb_cli.1.gz

simadb_cli:
	sed 's:%DESTDIR%%PREFIX%:${DESTDIR}${PREFIX}:' data/wrappers/simadb_cli > simadb_cli

mpd-sima:
	sed 's:%DESTDIR%%PREFIX%:${DESTDIR}${PREFIX}:' data/wrappers/mpd-sima > mpd-sima

bash_completion:
	install -m644 data/mpd_sima.completion.sh $(ETC)/bash_completion.d/
	mv $(ETC)/bash_completion.d/mpd_sima.completion.sh $(ETC)/bash_completion.d/mpd-sima

man: mpd-sima.1.gz simadb_cli.1.gz

bin: mpd-sima simadb_cli

install: man bin
	install -d $(BIN) $(DATADIR)/mpd-sima $(MANDIR)/man1 $(ETC)/bash_completion.d

	install -m755 mpd-sima $(BIN)
	install -m755 simadb_cli $(BIN)

	install -m644 mpd-sima.1.gz simadb_cli.1.gz $(MANDIR)/man1

	# listing all sub folder to install (prevent a remaining .svn directory to be install)
	for sourcedir in `find src/ -name .svn -prune -o -type d -print | sed 's:src/::g'` ; do \
		install -d $(DATADIR)/mpd-sima/$$sourcedir; \
		for sourcefile in `find src/$$sourcedir -maxdepth 1 -name *pyc -o -name .svn -prune -o -print` ; do \
			install -m644 $$sourcefile $(DATADIR)/mpd-sima/$$sourcedir; \
		done \
	done

	install -m755 src/mpd_sima.py $(DATADIR)/mpd-sima
	install -m755 src/simadb_cli $(DATADIR)/mpd-sima

uninstall:
	rm -f $(BIN)/mpd-sima
	rm -f $(BIN)/simadb_cli
	rm -f $(MANDIR)/man1/mpd-sima.1.gz
	rm -f $(MANDIR)/man1/simadb_cli.1.gz
	rm -f $(ETC)/bash_completion.d/mpd-sima
	rm -rf $(DATADIR)/mpd-sima

=== debian/changelog ===
mpd-sima (0.7.2-1) unstable; urgency=low

  * New upstream release

 -- Geoffroy Youri Berret <efrim@azylum.org>  Sun, 30 Jan 2011 13:45:08 +0100

mpd-sima (0.7.1-1) unstable; urgency=low

  * New upstream release

 -- Geoffroy Youri Berret <efrim@azylum.org>  Sun, 23 Jan 2011 14:57:18 +0100

mpd-sima (0.7.0-1) unstable; urgency=low

  * New upstream release
  * Fixes incorrect Vcs-* entries in control file
  * Add bash completion
  * Rename package as mpd-sima to fit upstream project name

 -- Geoffroy Youri Berret <efrim@azylum.org>  Sun, 12 Dec 2010 11:50:30 +0100

sima (0.6.1-1) unstable; urgency=low

  * New upstream release
  * Clean up debian/rules file (use dh_installchangelogs)
  * Enhance shell wrappers
  * Enhance watch file

 -- Geoffroy Youri Berret <efrim@azylum.org>  Sat, 13 Nov 2010 09:46:42 +0100

sima (0.6.0-1) unstable; urgency=low

  * Initial release. (Closes: #594085)

 -- Geoffroy Youri Berret <efrim@azylum.org>  Thu, 02 Sep 2010 12:28:55 +0200

=== debian/control ===
Source: mpd-sima
Section: sound
Priority: extra
Maintainer: Geoffroy Youri Berret <efrim@azylum.org>
Build-Depends: debhelper (>= 7.0.50~)
Build-Depends-Indep: python-support (>= 0.5.3), docbook-xsl-ns, docbook5-xml, xsltproc, bash-completion
Standards-Version: 3.9.1
Vcs-Svn: http://svn.codingteam.net/sima/debian/trunk
Vcs-browser: http://codingteam.net/project/sima/browse/debian/trunk
Homepage: http://sima.codingteam.net/

Package: mpd-sima
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}, python-mpd (>= 0.2)
Recommends:
Suggests: mpd
Provides: mpd-client
Description: Automagically add title to mpd playlist
 MPD_Sima is a Python script meant to feed MPD playlist with artist
 similar to your currently playing track, provided that this artist is
 found in MPD library. Similar artists are found through last.fm
 requests.
 .
 This Python code allows you to never run out of music when your
 playlist queue is getting short.

=== debian/rules ===
#!/usr/bin/make -f

DB2MAN = /usr/share/xml/docbook/stylesheet/docbook-xsl-ns/manpages/docbook.xsl
XP     = xsltproc --nonet --param make.year.ranges 1 --param make.single.year.ranges 1 --param man.charmap.use.subset 0 -o debian/ 

mpd-sima.1:
	$(XP) $(DB2MAN) data/mpd_sima.1.xml

simadb_cli.1:
	$(XP) $(DB2MAN) data/simadb_cli.1.xml

%:
	dh $@ --with bash_completion

override_dh_auto_install:

override_dh_installchangelogs:
	dh_installchangelogs doc/Changelog

override_dh_installman: mpd-sima.1 simadb_cli.1
	dh_installman

=== debian/watch ===
version=3
http://sima.azylum.org/source/mpd_sima_([\d\.]+)\.tgz debian uupdate

## mpd-sima 0.8.0

=== Makefile ===
SHELL = /bin/sh
PREFIX = /usr/local
#DESTDIR = /tmp/mpd-sima
LIBDIR = $(DESTDIR)$(PREFIX)/lib
BIN = $(DESTDIR)$(PREFIX)/bin
ETC = $(DESTDIR)$(PREFIX)/etc
DATADIR = $(DESTDIR)$(PREFIX)/share
LOCALEDIR = $(DATADIR)/locale
MANDIR = $(DATADIR)/man

all: man bin
clean:
	rm -f mpd-sima.1.gz simadb_cli.1.gz mpd-sima.cfg.1.gz mpd-sima simadb_cli

mpd-sima.1.gz:
	cat data/mpd-sima.1 | gzip > mpd-sima.1.gz

mpd-sima.cfg.1.gz:
	cat data/mpd-sima.cfg.1 | gzip > mpd-sima.cfg.1.gz

simadb_cli.1.gz:
	cat data/simadb_cli.1 | gzip > simadb_cli.1.gz

simadb_cli:
	sed 's:%DESTDIR%%PREFIX%:${DESTDIR}${PREFIX}:' data/wrappers/simadb_cli > simadb_cli

mpd-sima:
	sed 's:%DESTDIR%%PREFIX%:${DESTDIR}${PREFIX}:' data/wrappers/mpd-sima > mpd-sima

bash_completion:
	install -d $(ETC)/bash_completion.d
	install -m644 data/mpd_sima.completion.sh $(ETC)/bash_completion.d/
	mv $(ETC)/bash_completion.d/mpd_sima.completion.sh $(ETC)/bash_completion.d/mpd-sima

man: mpd-sima.1.gz simadb_cli.1.gz mpd-sima.cfg.1.gz

bin: mpd-sima simadb_cli

install: man bin
	install -d $(BIN) $(DATADIR)/mpd-sima $(MANDIR)/man1

	install -m755 mpd-sima $(BIN)
	install -m755 simadb_cli $(BIN)

	install -m644 mpd-sima.1.gz mpd-sima.cfg.1.gz simadb_cli.1.gz $(MANDIR)/man1

	# listing all sub folder to install (prevent a remaining .svn directory to be install)
	for sourcedir in `find src/ -name .svn -prune -o -type d -print | sed 's:src/::g'` ; do \
		install -d $(DATADIR)/mpd-sima/$$sourcedir; \
		for sourcefile in `find src/$$sourcedir -maxdepth 1 -name *pyc -o -name .svn -prune -o -print` ; do \
			install -m644 $$sourcefile $(DATADIR)/mpd-sima/$$sourcedir; \
		done \
	done

	install -m755 src/mpd_sima $(DATADIR)/mpd-sima
	install -m755 src/simadb_cli $(DATADIR)/mpd-sima

uninstall:
	rm -f $(BIN)/mpd-sima
	rm -f $(BIN)/simadb_cli
	rm -f $(MANDIR)/man1/mpd-sima.1.gz
	rm -f $(MANDIR)/man1/mpd-sima.cfg.1.gz
	rm -f $(MANDIR)/man1/simadb_cli.1.gz
	rm -f $(ETC)/bash_completion.d/mpd-sima
	rm -rf $(DATADIR)/mpd-sima

=== data/Makefile ===
XSL=/usr/share/xml/docbook/stylesheet/docbook-xsl-ns/manpages/docbook.xsl
HXSL=/usr/share/xml/docbook/stylesheet/docbook-xsl-ns/html/docbook.xsl
XP=/usr/bin/xsltproc
OPTIONS=--nonet\
   --param make.year.ranges 1\
   --param make.single.year.ranges 1 \
   --param man.charmap.use.subset 0 \

all: man

simadb_cli: simadb_cli.1.xml
	$(XP) $(OPTIONS) $(XSL) $<

mpd_sima: mpd_sima.1.xml
	$(XP) $(OPTIONS) $(XSL) $<

mpd_sima.cfg: mpd_sima.cfg.1.xml
	$(XP) $(OPTIONS) $(XSL) $<

mpd_sima_html:
	$(XP) $(HXSL) mpd_sima.1.xml > ./mpd_sima.1.html

simadb_cli_html:
	$(XP) $(HXSL) simadb_cli.1.xml > ./simadb_cli.1.html

mpd_sima.cfg_html:
	$(XP) $(HXSL) mpd_sima.cfg.1.xml > ./mpd_sima.cfg.1.html

man: simadb_cli mpd_sima mpd_sima.cfg

html: simadb_cli_html mpd_sima_html mpd_sima.cfg_html

pdf: man
	/usr/bin/man -l -Tps mpd-sima.1 | /usr/bin/ps2pdf - ./mpd_sima.pdf
	/usr/bin/man -l -Tps mpd-sima.cfg.1 | /usr/bin/ps2pdf - ./mpd_sima.cfg.pdf
	/usr/bin/man -l -Tps simadb_cli.1 | /usr/bin/ps2pdf - ./simadb_cli.pdf

=== debian/changelog ===
mpd-sima (0.8.0-2) unstable; urgency=low

  * Fix a typo in init script (Closes: #636595)

 -- Geoffroy Youri Berret <efrim@azylum.org>  Mon, 08 Aug 2011 11:30:10 +0200

mpd-sima (0.8.0-1) unstable; urgency=low

  * New upstream release (Closes: #628911)
  * Migrate to dh_python2
  * Move packaging to multimedia packaging team (add myself to Uploaders)
  * Update upstream project URL
  * Bumped Standards-Version to 3.9.2, no changes needed
  * Add init script to run the service system wide (user mpd-sima)
  * Add lsb-base and adduser dependencies
  * copyright file converted to dep5 standard

 -- Geoffroy Youri Berret <efrim@azylum.org>  Wed, 03 Aug 2011 21:13:43 +0200

=== debian/control ===
Source: mpd-sima
Section: sound
Priority: extra
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Geoffroy Youri Berret <efrim@azylum.org>
Build-Depends: debhelper (>= 7.0.50~)
Build-Depends-Indep: python-all (>= 2.6.6-3~), docbook-xsl-ns, docbook5-xml, xsltproc, bash-completion
X-Python-Version: >=2.6
Standards-Version: 3.9.2
Vcs-Git: git://git.debian.org/pkg-multimedia/mpd-sima.git
Vcs-browser: http://git.debian.org/?p=pkg-multimedia/mpd-sima.git;a=summary
Homepage: http://codingteam.net/project/sima

Package: mpd-sima
Architecture: all
Depends: ${misc:Depends}, ${python:Depends},
    python-mpd (>= 0.2),
    adduser,
    lsb-base
Recommends:
Suggests: mpd
Provides: mpd-client
Description: Automagically add titles to MPD playlist
 MPD_Sima is a Python script meant to feed MPD playlist with artist
 similar to your currently playing track, provided that this artist is
 found in MPD library. Similar artists are found through last.fm
 requests.
 .
 MPD_sima can queue track, top track or whole album for similar artists.
 .
 This Python code allows you to never run out of music when your
 playlist queue is getting short.

=== debian/rules ===
#!/usr/bin/make -f
#

DB2MAN = /usr/share/xml/docbook/stylesheet/docbook-xsl-ns/manpages/docbook.xsl
XP     = xsltproc --nonet --param make.year.ranges 1 --param make.single.year.ranges 1 --param man.charmap.use.subset 0 -o debian/

mpd-sima.1:
	$(XP) $(DB2MAN) data/mpd_sima.1.xml

simadb_cli.1:
	$(XP) $(DB2MAN) data/simadb_cli.1.xml

mpd-sima.cfg.1:
	$(XP) $(DB2MAN) data/mpd_sima.cfg.1.xml

%:
	dh $@ --with bash_completion,python2

override_dh_installchangelogs:
	dh_installchangelogs doc/Changelog

# Upstream does not guarantee to provide or to build latest versions of
# manuals. We build them here to make sure to have proper manuals.
override_dh_installman: mpd-sima.1 simadb_cli.1 mpd-sima.cfg.1
	dh_installman

# Previous version of MPD_sima (< 0.7) did not have any installation script.
# With 0.7 appears a Makefile but I kept using dh to install the source.
# This is why debian/rules overrides upstream Makefile calls (clean, install
# and build)
#
# Prevent calling upstream make targets
override_dh_auto_clean:
override_dh_auto_install:
override_dh_auto_build:

## mpd-sima 0.9.2

=== data/Makefile ===
# Packages needed on debian:
#    * xsltproc
#    * docbook-xsl-ns (which depends on docbook-xsl-doc-html and docbook5-xml)
#

XSL=/usr/share/xml/docbook/stylesheet/docbook-xsl-ns/manpages/docbook.xsl
HXSL=/usr/share/xml/docbook/stylesheet/docbook-xsl-ns/html/docbook.xsl
XP=/usr/bin/xsltproc
OPTIONS=--nonet\
   --param make.year.ranges 1\
   --param make.single.year.ranges 1 \
   --param man.charmap.use.subset 0 \
   --novalid \

all: man

simadb_cli: simadb_cli.1.xml
	$(XP) $(OPTIONS) $(XSL) $<

mpd_sima: mpd_sima.1.xml
	$(XP) $(OPTIONS) $(XSL) $<

mpd_sima.cfg: mpd_sima.cfg.5.xml
	$(XP) $(OPTIONS) $(XSL) $<

mpd_sima_html:
	$(XP) $(HXSL) mpd_sima.1.xml > ./mpd_sima.1.html

simadb_cli_html:
	$(XP) $(HXSL) simadb_cli.1.xml > ./simadb_cli.1.html

mpd_sima.cfg_html:
	$(XP) $(HXSL) mpd_sima.cfg.5.xml > ./mpd_sima.cfg.5.html

man: simadb_cli mpd_sima mpd_sima.cfg

html: simadb_cli_html mpd_sima_html mpd_sima.cfg_html

pdf: simadb_cli.1 mpd-sima.1 mpd-sima.cfg.5
	/usr/bin/man -l -Tps mpd-sima.1 | /usr/bin/ps2pdf - ./mpd_sima.pdf
	/usr/bin/man -l -Tps mpd-sima.cfg.5 | /usr/bin/ps2pdf - ./mpd_sima.cfg.pdf
	/usr/bin/man -l -Tps simadb_cli.1 | /usr/bin/ps2pdf - ./simadb_cli.pdf

=== debian/changelog ===
mpd-sima (0.9.2-2) unstable; urgency=low

  * Bumped python-mpd version (needed for idle MPD command)
  * Fixed unwanted config file creation in postinst script (Closes: #673793)

 -- Geoffroy Youri Berret <efrim@azylum.org>  Mon, 21 May 2012 14:29:03 +0200

mpd-sima (0.9.2-1) unstable; urgency=low

  * New Upstream version 0.9.2
  * Default similarity is now 15%
  * Add "Enhances" field to control file
  * Create database during installation (Closes: #637192)
  * Fixed short name license in copyright file.
  * Add missing status command to init script.
  * Use symlinks instead of shell wrappers in /usr/bin
  * Manuals are no longuer built with the package
    Upstream provides them.
  * Bumped Standards-Version to 3.9.3
    Update copyright Format field with proper URL

 -- Geoffroy Youri Berret <efrim@azylum.org>  Mon, 27 Feb 2012 18:57:49 +0100

=== debian/control ===
Source: mpd-sima
Section: sound
Priority: extra
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Geoffroy Youri Berret <efrim@azylum.org>
Build-Depends: debhelper (>= 7.0.50~)
Build-Depends-Indep: python-all (>= 2.6.6-3~), bash-completion
X-Python-Version: >=2.6
Standards-Version: 3.9.3
Vcs-Git: git://git.debian.org/pkg-multimedia/mpd-sima.git
Vcs-browser: http://git.debian.org/?p=pkg-multimedia/mpd-sima.git;a=summary
Homepage: http://codingteam.net/project/sima

Package: mpd-sima
Architecture: all
Depends: ${misc:Depends}, ${python:Depends},
    python-mpd (>= 0.3),
    adduser,
    lsb-base
Suggests: mpd
Provides: mpd-client
Enhances: mpd
Description: Automagically add titles to MPD playlist
 MPD_Sima is a Python script meant to feed your MPD playlist with tracks
 from artists similar to your currently playing track, provided that these 
 artists are found in MPD library. Similar artists are fetched from last.fm.
 .
 MPD_sima can queue track, top track or whole album for similar artists.
 .
 This client allows you to never run out of music when your playlist
 queue is getting short.

## mpd-sima 0.10.0

=== Makefile ===
--- 
+++ 
@@ -10,13 +10,13 @@
 
 all: man bin
 clean:
-	rm -f mpd-sima.1.gz simadb_cli.1.gz mpd-sima.cfg.1.gz mpd-sima simadb_cli
+	rm -f mpd-sima.1.gz simadb_cli.1.gz mpd-sima.cfg.5.gz mpd-sima simadb_cli
 
-mpd-sima.1.gz:
+mpd-sima.1.gz: data/mpd-sima.1
 	cat data/mpd-sima.1 | gzip > mpd-sima.1.gz
 
-mpd-sima.cfg.1.gz:
-	cat data/mpd-sima.cfg.1 | gzip > mpd-sima.cfg.1.gz
+mpd-sima.cfg.5.gz: data/mpd-sima.cfg.5
+	cat data/mpd-sima.cfg.5 | gzip > mpd-sima.cfg.5.gz
 
 simadb_cli.1.gz:
 	cat data/simadb_cli.1 | gzip > simadb_cli.1.gz
@@ -32,17 +32,18 @@
 	install -m644 data/mpd_sima.completion.sh $(ETC)/bash_completion.d/
 	mv $(ETC)/bash_completion.d/mpd_sima.completion.sh $(ETC)/bash_completion.d/mpd-sima
 
-man: mpd-sima.1.gz simadb_cli.1.gz mpd-sima.cfg.1.gz
+man: mpd-sima.1.gz simadb_cli.1.gz mpd-sima.cfg.5.gz
 
 bin: mpd-sima simadb_cli
 
 install: man bin
-	install -d $(BIN) $(DATADIR)/mpd-sima $(MANDIR)/man1
+	install -d $(BIN) $(DATADIR)/mpd-sima $(MANDIR)/man1 $(MANDIR)/man5
 
 	install -m755 mpd-sima $(BIN)
 	install -m755 simadb_cli $(BIN)
 
-	install -m644 mpd-sima.1.gz mpd-sima.cfg.1.gz simadb_cli.1.gz $(MANDIR)/man1
+	install -m644 mpd-sima.1.gz simadb_cli.1.gz $(MANDIR)/man1
+	install -m644 mpd-sima.cfg.5.gz $(MANDIR)/man5
 
 	# listing all sub folder to install (prevent a remaining .svn directory to be install)
 	for sourcedir in `find src/ -name .svn -prune -o -type d -print | sed 's:src/::g'` ; do \
@@ -59,8 +60,8 @@
 	rm -f $(BIN)/mpd-sima
 	rm -f $(BIN)/simadb_cli
 	rm -f $(MANDIR)/man1/mpd-sima.1.gz
-	rm -f $(MANDIR)/man1/mpd-sima.cfg.1.gz
 	rm -f $(MANDIR)/man1/simadb_cli.1.gz
+	rm -f $(MANDIR)/man5/mpd-sima.cfg.5.gz
 	rm -f $(ETC)/bash_completion.d/mpd-sima
 	rm -rf $(DATADIR)/mpd-sima

=== data/Makefile ===
--- 
+++ 
@@ -5,6 +5,7 @@
 
 XSL=/usr/share/xml/docbook/stylesheet/docbook-xsl-ns/manpages/docbook.xsl
 HXSL=/usr/share/xml/docbook/stylesheet/docbook-xsl-ns/html/docbook.xsl
+CONV5XSL="/usr/share/xml/docbook/stylesheet/docbook5/db4-upgrade.xsl"
 XP=/usr/bin/xsltproc
 OPTIONS=--nonet\
    --param make.year.ranges 1\
@@ -41,3 +42,5 @@
 	/usr/bin/man -l -Tps mpd-sima.cfg.5 | /usr/bin/ps2pdf - ./mpd_sima.cfg.pdf
 	/usr/bin/man -l -Tps simadb_cli.1 | /usr/bin/ps2pdf - ./simadb_cli.pdf
 
+valid:
+	xmllint --noout --valid ./*.xml

=== debian/changelog ===
mpd-sima (0.10.0-2) unstable; urgency=low

  * Set package priority to optional.

 -- Geoffroy Youri Berret <efrim@azylum.org>  Tue, 21 May 2013 18:35:59 +0200

mpd-sima (0.10.0-1) experimental; urgency=low

  * Add weak dependencies on MPD in init script (Closes: #687426)
  * Set minimum MPD version in Suggests field
  * New upstream version 0.10.0 (LP: #1056738)
  * Bumped Standards-Version to 3.9.4.0
  * Adjust Build-Depends
  * init script ensure creation of /run/mpd-sima

 -- Geoffroy Youri Berret <efrim@azylum.org>  Thu, 07 Mar 2013 00:38:02 +0100

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,12 @@
 Source: mpd-sima
 Section: sound
-Priority: extra
+Priority: optional
 Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders: Geoffroy Youri Berret <efrim@azylum.org>
 Build-Depends: debhelper (>= 7.0.50~)
-Build-Depends-Indep: python-all (>= 2.6.6-3~), bash-completion
+Build-Depends-Indep: python, bash-completion
 X-Python-Version: >=2.6
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4.0
 Vcs-Git: git://git.debian.org/pkg-multimedia/mpd-sima.git
 Vcs-browser: http://git.debian.org/?p=pkg-multimedia/mpd-sima.git;a=summary
 Homepage: http://codingteam.net/project/sima
@@ -17,7 +17,7 @@
     python-mpd (>= 0.3),
     adduser,
     lsb-base
-Suggests: mpd
+Suggests: mpd (>= 0.14)
 Provides: mpd-client
 Enhances: mpd
 Description: Automagically add titles to MPD playlist

=== debian/rules ===
#!/usr/bin/make -f
#

%:
	dh $@ --with bash_completion,python2

override_dh_installchangelogs:
	dh_installchangelogs doc/Changelog

# Previous version of MPD_sima (< 0.7) did not have any installation script.
# With 0.7 appears a Makefile but I kept using dh to install the source.
# This is why debian/rules overrides upstream Makefile calls (clean, install
# and build)
#
# Prevent calling upstream make targets
override_dh_auto_clean:
override_dh_auto_install:
override_dh_auto_build:

=== debian/watch ===
version=3
http://sima.azylum.org/source/mpd_sima_([\d\.]+)\.tar.xz debian uupdate

## mpd-sima 0.14.1

=== debian/changelog ===
mpd-sima (0.14.1-1) unstable; urgency=medium

  * Imported Upstream version 0.14.1 (Closes: #803957)
  * Create database with mpd-sima user (Fixed piuparts error)
  * Add optional EnvironmentFile to systemd service file (Closes: #801136)
  * Fixed Random plugin name in configuration

 -- Geoffroy Youri Berret <efrim@azylum.org>  Sat, 02 Jan 2016 17:04:36 +0100

mpd-sima (0.13.1-1) unstable; urgency=low

  * Upstream moved to python3, major package refactoring
  * Migrate to dh-python
  * Bumped Standards-Version to 3.9.6, no changes nedeed
  * Bumped compat level to 9
  * Add pgpsigurlmangle for uscan
  * Depends on musicpd and requests
  * Updated copyright
  * Add service file (systemd)

 -- Geoffroy Youri Berret <efrim@azylum.org>  Wed, 28 Jan 2015 15:48:14 +0100

=== debian/control ===
Source: mpd-sima
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Geoffroy Youri Berret <efrim@azylum.org>
Build-Depends: debhelper (>= 9), python3, python3-setuptools (>= 2.0.2),
    python3-musicpd (>= 0.4.1),
    python3-requests (>= 2.0.2),
    dh-python,
    dh-systemd (>= 1.5)
Build-Depends-Indep: bash-completion
X-Python3-Version: >=3.2
Standards-Version: 3.9.6
Vcs-Git: git://anonscm.debian.org/pkg-multimedia/mpd-sima.git
Vcs-browser: http://anonscm.debian.org/cgit/pkg-multimedia/mpd-sima.git
Homepage: http://kaliko.me/code/mpd-sima

Package: mpd-sima
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends},
    adduser,
    lsb-base
Suggests: mpd (>= 0.14)
Provides: mpd-client
Enhances: mpd
Description: Automagically add titles to MPD playlist
 MPD_Sima is a Python script meant to feed your MPD playlist with tracks
 from artists similar to your currently playing track, provided that these
 artists are found in MPD library. Similar artists are fetched from last.fm.
 .
 MPD_sima can queue track, top track or whole album for similar artists.
 .
 This client allows you to never run out of music when your playlist
 queue is getting short.

## mpd-sima 0.14.4

=== debian/changelog ===
mpd-sima (0.14.4-1) unstable; urgency=medium

  * New upstream version 0.14.4
  * Fixed MPD client to work with MPD >= 0.20 (Closes: #854962)

 -- Geoffroy Youri Berret <efrim@azylum.org>  Thu, 24 Aug 2017 12:47:52 +0200

mpd-sima (0.14.1-2) unstable; urgency=medium

  * Fixed wrong path value for stat overrides. (Closes: #825561)
  * Bumped Standards-Version to 3.9.8, no changes needed
  * Add missing systemd service file documentation key
  * Fixed insecure vcs-field uri

 -- Geoffroy Youri Berret <efrim@azylum.org>  Tue, 14 Jun 2016 12:43:17 +0200

=== debian/control ===
--- 
+++ 
@@ -10,9 +10,9 @@
     dh-systemd (>= 1.5)
 Build-Depends-Indep: bash-completion
 X-Python3-Version: >=3.2
-Standards-Version: 3.9.6
-Vcs-Git: git://anonscm.debian.org/pkg-multimedia/mpd-sima.git
-Vcs-browser: http://anonscm.debian.org/cgit/pkg-multimedia/mpd-sima.git
+Standards-Version: 3.9.8
+Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/mpd-sima.git
+Vcs-browser: https://anonscm.debian.org/cgit/pkg-multimedia/mpd-sima.git
 Homepage: http://kaliko.me/code/mpd-sima
 
 Package: mpd-sima

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --with bash_completion,python3,systemd --buildsystem=pybuild

override_dh_clean:
	rm -rf MPD_sima.egg-info/
	dh_clean

=== debian/watch ===
version=3
opts="pgpsigurlmangle=s/$/.sig/" \
    http://media.kaliko.me/src/sima/releases/[mpdMPD]{3}_sima[-_]([\d\.]+)\.tar.xz debian uupdate

## mpd-sima 0.15.1

=== debian/changelog ===
mpd-sima (0.15.1-2) unstable; urgency=medium

  * Revert "Removed System-V init startup script"
  * Fixed missing Pre-Depends on init-system-helpers

 -- Geoffroy Youri Berret <efrim@azylum.org>  Mon, 15 Jul 2019 15:29:17 +0200

mpd-sima (0.15.1-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Remove ancient X-Python3-Version field

  [ Geoffroy Youri Berret ]
  * Update debhelper to compat 12
  * d/upstream/signing-key.asc: Strip useless signature
  * Fixed deprecated --force option with dpkg-statoverride
  * d/rules: remove useless dh_clean override
  * Removed System-V init startup script
  * Add systemd service hardening options
  * Add salsa ci config d/gitlab-ci.yml
  * Make mpd-sima db rw by group
  * Bumped copyright years
  * Stop removing the user and the group on purge
  * Update version of build-dependency requests
  * Bumped Standards-Version to 4.4.0, no changes needed

 -- Geoffroy Youri Berret <efrim@azylum.org>  Wed, 10 Jul 2019 16:28:22 +0200

mpd-sima (0.14.4-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/control: Fix wrong Vcs-*

  [ Felipe Sateler ]
  * Change maintainer address to debian-multimedia@lists.debian.org

  [ Geoffroy Youri Berret ]
  * Fixed Vcs-browser address (salsa migration)
  * Update Build-Depends and switch to dh 10
  * Bumped Standards-Version to 4.1.4, no changes needed
  * Remove explicit call to dh systemd.
  * Switch to https in debian/watch
  * Bump uscan version and simplified watch file

 -- Geoffroy Youri Berret <efrim@azylum.org>  Fri, 27 Apr 2018 17:55:33 +0200

=== debian/control ===
--- 
+++ 
@@ -1,22 +1,21 @@
 Source: mpd-sima
 Section: sound
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Geoffroy Youri Berret <efrim@azylum.org>
-Build-Depends: debhelper (>= 9), python3, python3-setuptools (>= 2.0.2),
+Build-Depends: debhelper-compat (= 12), python3, python3-setuptools,
     python3-musicpd (>= 0.4.1),
-    python3-requests (>= 2.0.2),
-    dh-python,
-    dh-systemd (>= 1.5)
+    python3-requests (>= 2.4.0),
+    dh-python
 Build-Depends-Indep: bash-completion
-X-Python3-Version: >=3.2
-Standards-Version: 3.9.8
-Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/mpd-sima.git
-Vcs-browser: https://anonscm.debian.org/cgit/pkg-multimedia/mpd-sima.git
+Standards-Version: 4.4.0
+Vcs-Git: https://salsa.debian.org/multimedia-team/mpd-sima.git
+Vcs-browser: https://salsa.debian.org/multimedia-team/mpd-sima
 Homepage: http://kaliko.me/code/mpd-sima
 
 Package: mpd-sima
 Architecture: all
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${python3:Depends},
     adduser,
     lsb-base

## mpd-sima 0.15.2

=== data/man/Makefile ===
# Packages needed on debian:
#    * xsltproc
#    * docbook-xsl-ns (which depends on docbook-xsl-doc-html and docbook5-xml)
#    * libxml2-utils
#

XSL=/usr/share/xml/docbook/stylesheet/docbook-xsl-ns/manpages/docbook.xsl
HXSL=/usr/share/xml/docbook/stylesheet/docbook-xsl-ns/html/docbook.xsl
CONV5XSL="/usr/share/xml/docbook/stylesheet/docbook5/db4-upgrade.xsl"
XP=/usr/bin/xsltproc
OPTIONS=--nonet\
   --param make.year.ranges 1\
   --param make.single.year.ranges 1 \
   --param man.charmap.use.subset 0 \
   --novalid \

all: man

simadb_cli: simadb_cli.1.xml
	xmllint --xinclude --nowarning --noent $< | $(XP) $(OPTIONS) $(XSL) -

mpd_sima: mpd_sima.1.xml
	xmllint --xinclude --nowarning --noent $< | $(XP) $(OPTIONS) $(XSL) -

mpd_sima.cfg: mpd_sima.cfg.5.xml
	xmllint --xinclude --nowarning --noent $< | $(XP) $(OPTIONS) $(XSL) -

mpd_sima_html:
	xmllint --xinclude --nowarning --noent mpd_sima.1.xml | $(XP) $(HXSL) - > ./mpd_sima.1.html

simadb_cli_html:
	xmllint --xinclude --nowarning --noent simadb_cli.1.xml | $(XP) $(HXSL) - > ./simadb_cli.1.html

mpd_sima.cfg_html:
	xmllint --xinclude --nowarning --noent mpd_sima.cfg.5.xml | $(XP) $(HXSL) - > ./mpd_sima.cfg.5.html

man: simadb_cli mpd_sima mpd_sima.cfg

html: simadb_cli_html mpd_sima_html mpd_sima.cfg_html

pdf: simadb_cli.1 mpd-sima.1 mpd-sima.cfg.5
	/usr/bin/man -l -Tps mpd-sima.1 | /usr/bin/ps2pdf - ./mpd_sima.pdf
	/usr/bin/man -l -Tps mpd-sima.cfg.5 | /usr/bin/ps2pdf - ./mpd_sima.cfg.pdf
	/usr/bin/man -l -Tps simadb_cli.1 | /usr/bin/ps2pdf - ./simadb_cli.pdf

valid:
	xmllint --noout --valid ./*.xml

clean_mpd_sima:
	rm -rf mpd-sima.1 mpd_sima.1.html

clean_simadb_cli:
	rm -rf simadb_cli.1 simadb_cli.1.html

clean_mpd_sima.cfg:
	rm -rf mpd_sima.cfg.5 mpd_sima.cfg.5.html

clean: clean_mpd_sima clean_simadb_cli clean_mpd_sima.cfg
	rm -rf ./*.pdf

=== debian/changelog ===
mpd-sima (0.15.2-1) unstable; urgency=medium

  * New upstream version 0.15.2
  * d/control: Update Homepage
  * Bumped Standards-Version to 4.5.0, no changes needed

 -- Geoffroy Youri Berret <efrim@azylum.org>  Wed, 05 Feb 2020 16:07:10 +0100

=== debian/control ===
--- 
+++ 
@@ -8,10 +8,10 @@
     python3-requests (>= 2.4.0),
     dh-python
 Build-Depends-Indep: bash-completion
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Vcs-Git: https://salsa.debian.org/multimedia-team/mpd-sima.git
 Vcs-browser: https://salsa.debian.org/multimedia-team/mpd-sima
-Homepage: http://kaliko.me/code/mpd-sima
+Homepage: https://kaliko.me/mpd-sima/
 
 Package: mpd-sima
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --with bash_completion,python3 --buildsystem=pybuild

## mpd-sima 0.16.1

=== data/man/Makefile ===
--- 
+++ 
@@ -15,6 +15,9 @@
    --novalid \
 
 all: man
+
+test-tags-config: test-tags-config.1.xml
+	xmllint --xinclude --nowarning --noent $< | $(XP) $(OPTIONS) $(XSL) -
 
 simadb_cli: simadb_cli.1.xml
 	xmllint --xinclude --nowarning --noent $< | $(XP) $(OPTIONS) $(XSL) -
@@ -34,7 +37,7 @@
 mpd_sima.cfg_html:
 	xmllint --xinclude --nowarning --noent mpd_sima.cfg.5.xml | $(XP) $(HXSL) - > ./mpd_sima.cfg.5.html
 
-man: simadb_cli mpd_sima mpd_sima.cfg
+man: test-tags-config simadb_cli mpd_sima mpd_sima.cfg
 
 html: simadb_cli_html mpd_sima_html mpd_sima.cfg_html

=== debian/changelog ===
mpd-sima (0.16.1-1) unstable; urgency=medium

  * Enable root-less package build
  * New upstream version 0.15.3
  * d/control: Fixed Vcs-Browser capitalization
  * Bumped Standards-Version to 4.5.1, no changes needed
  * Bumped debhelper compat to 13
  * New upstream version 0.16.1

 -- Geoffroy Youri Berret <efrim@azylum.org>  Sat, 09 Jan 2021 12:57:01 +0100

=== debian/control ===
--- 
+++ 
@@ -3,14 +3,15 @@
 Priority: optional
 Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Geoffroy Youri Berret <efrim@azylum.org>
-Build-Depends: debhelper-compat (= 12), python3, python3-setuptools,
+Build-Depends: debhelper-compat (= 13), python3, python3-setuptools,
     python3-musicpd (>= 0.4.1),
     python3-requests (>= 2.4.0),
     dh-python
+Rules-Requires-Root: no
 Build-Depends-Indep: bash-completion
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Git: https://salsa.debian.org/multimedia-team/mpd-sima.git
-Vcs-browser: https://salsa.debian.org/multimedia-team/mpd-sima
+Vcs-Browser: https://salsa.debian.org/multimedia-team/mpd-sima
 Homepage: https://kaliko.me/mpd-sima/
 
 Package: mpd-sima

## mpd-sima 0.18.0

=== data/man/Makefile ===
--- 
+++ 
@@ -16,12 +16,6 @@
 
 all: man
 
-test-tags-config: test-tags-config.1.xml
-	xmllint --xinclude --nowarning --noent $< | $(XP) $(OPTIONS) $(XSL) -
-
-simadb_cli: simadb_cli.1.xml
-	xmllint --xinclude --nowarning --noent $< | $(XP) $(OPTIONS) $(XSL) -
-
 mpd_sima: mpd_sima.1.xml
 	xmllint --xinclude --nowarning --noent $< | $(XP) $(OPTIONS) $(XSL) -
 
@@ -31,20 +25,16 @@
 mpd_sima_html:
 	xmllint --xinclude --nowarning --noent mpd_sima.1.xml | $(XP) $(HXSL) - > ./mpd_sima.1.html
 
-simadb_cli_html:
-	xmllint --xinclude --nowarning --noent simadb_cli.1.xml | $(XP) $(HXSL) - > ./simadb_cli.1.html
-
 mpd_sima.cfg_html:
 	xmllint --xinclude --nowarning --noent mpd_sima.cfg.5.xml | $(XP) $(HXSL) - > ./mpd_sima.cfg.5.html
 
-man: test-tags-config simadb_cli mpd_sima mpd_sima.cfg
+man: mpd_sima mpd_sima.cfg
 
 html: simadb_cli_html mpd_sima_html mpd_sima.cfg_html
 
-pdf: simadb_cli.1 mpd-sima.1 mpd-sima.cfg.5
+pdf: mpd-sima.1 mpd-sima.cfg.5
 	/usr/bin/man -l -Tps mpd-sima.1 | /usr/bin/ps2pdf - ./mpd_sima.pdf
 	/usr/bin/man -l -Tps mpd-sima.cfg.5 | /usr/bin/ps2pdf - ./mpd_sima.cfg.pdf
-	/usr/bin/man -l -Tps simadb_cli.1 | /usr/bin/ps2pdf - ./simadb_cli.pdf
 
 valid:
 	xmllint --noout --valid ./*.xml
@@ -52,9 +42,6 @@
 clean_mpd_sima:
 	rm -rf mpd-sima.1 mpd_sima.1.html
 
-clean_simadb_cli:
-	rm -rf simadb_cli.1 simadb_cli.1.html
-
 clean_mpd_sima.cfg:
 	rm -rf mpd_sima.cfg.5 mpd_sima.cfg.5.html

=== debian/changelog ===
mpd-sima (0.18.0-1) unstable; urgency=medium

  * Remove and update Build-Depends constraints
  * Require at least MPD v0.21
  * Bumped Standards-Version to 4.6.0, no changes needed
  * New upstream version 0.18.0
  * Update copyright
  * Update postint with new mpd-sima CLI
  * Update README file.
  * Update NEWS file
  * Update postinst to ensure smooth db migration

 -- Geoffroy Youri Berret <efrim@azylum.org>  Wed, 17 Nov 2021 17:35:33 +0100

=== debian/control ===
--- 
+++ 
@@ -4,12 +4,12 @@
 Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Geoffroy Youri Berret <efrim@azylum.org>
 Build-Depends: debhelper-compat (= 13), python3, python3-setuptools,
-    python3-musicpd (>= 0.4.1),
-    python3-requests (>= 2.4.0),
+    python3-musicpd (>= 0.7.0),
+    python3-requests,
     dh-python
 Rules-Requires-Root: no
 Build-Depends-Indep: bash-completion
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Git: https://salsa.debian.org/multimedia-team/mpd-sima.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/mpd-sima
 Homepage: https://kaliko.me/mpd-sima/
@@ -20,7 +20,7 @@
 Depends: ${misc:Depends}, ${python3:Depends},
     adduser,
     lsb-base
-Suggests: mpd (>= 0.14)
+Suggests: mpd (>= 0.21)
 Provides: mpd-client
 Enhances: mpd
 Description: Automagically add titles to MPD playlist

## mpd-sima 0.18.1

=== debian/changelog ===
mpd-sima (0.18.1-1) unstable; urgency=medium

  * New upstream version 0.18.1
  * Build manual with sphinx
  * Bumped copyright years
  * Set upstream metadata
  * Ignore .*egg-info

 -- Geoffroy Youri Berret <efrim@azylum.org>  Tue, 08 Feb 2022 13:19:04 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,9 @@
 Build-Depends: debhelper-compat (= 13), python3, python3-setuptools,
     python3-musicpd (>= 0.7.0),
     python3-requests,
-    dh-python
+    dh-python,
+# for manuals:
+    python3-sphinx
 Rules-Requires-Root: no
 Build-Depends-Indep: bash-completion
 Standards-Version: 4.6.0

## mpd-sima 0.18.2

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest coverage gettext publish

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  applehelp  to make an Apple Help Book"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"
	@echo "  coverage   to run coverage check of the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/MPD_sima.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/MPD_sima.qhc"

applehelp:
	$(SPHINXBUILD) -b applehelp $(ALLSPHINXOPTS) $(BUILDDIR)/applehelp
	@echo
	@echo "Build finished. The help book is in $(BUILDDIR)/applehelp."
	@echo "N.B. You won't be able to view it unless you put it in" \
	      "~/Library/Documentation/Help or install it in your application" \
	      "bundle."

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/MPD_sima"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/MPD_sima"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

coverage:
	$(SPHINXBUILD) -b coverage $(ALLSPHINXOPTS) $(BUILDDIR)/coverage
	@echo "Testing of coverage in the sources finished, look at the " \
	      "results in $(BUILDDIR)/coverage/python.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

setuptools:
	(cd ..; python3 setup.py build_sphinx)

publish: setuptools
	rsync -avh --delete ../build/sphinx/html/ kaliko.me:var/www/kaliko/media/sima
	@echo
	@echo "Publishing to https://media.kaliko.me/sima finished."

=== debian/changelog ===
mpd-sima (0.18.2-3) unstable; urgency=medium

  * Team upload.
  * Update intersphinx_mapping formats (Closes: #1090105)

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 16 Dec 2024 20:49:48 +0100

mpd-sima (0.18.2-2) unstable; urgency=medium

  * Team upload.
  * Drop lsb-base dependency (obsolete package)
  * Use dh-sequence-*
  * Enable autopkgtest-pkg-pybuild

 -- Jochen Sprickerhof <jspricke@debian.org>  Tue, 23 Apr 2024 17:15:28 +0200

mpd-sima (0.18.2-1) unstable; urgency=medium

  * Log through journald when launched with systemd
  * New upstream version 0.18.2

 -- Geoffroy Youri Berret <efrim@azylum.org>  Fri, 04 Nov 2022 16:41:26 +0100

=== debian/control ===
--- 
+++ 
@@ -6,22 +6,22 @@
 Build-Depends: debhelper-compat (= 13), python3, python3-setuptools,
     python3-musicpd (>= 0.7.0),
     python3-requests,
-    dh-python,
+    dh-sequence-python3,
 # for manuals:
     python3-sphinx
 Rules-Requires-Root: no
-Build-Depends-Indep: bash-completion
-Standards-Version: 4.6.0
+Build-Depends-Indep: dh-sequence-bash-completion
+Standards-Version: 4.6.1
 Vcs-Git: https://salsa.debian.org/multimedia-team/mpd-sima.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/mpd-sima
 Homepage: https://kaliko.me/mpd-sima/
+Testsuite: autopkgtest-pkg-pybuild
 
 Package: mpd-sima
 Architecture: all
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${python3:Depends},
     adduser,
-    lsb-base
 Suggests: mpd (>= 0.21)
 Provides: mpd-client
 Enhances: mpd

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --buildsystem=pybuild

execute_before_dh_installman:
	python3 -m sphinx -N -q -E -d $(CURDIR)/build/doctrees -b man $(CURDIR)/doc/source $(CURDIR)/debian/tmp/man

=== debian/watch ===
version=4
opts="pgpmode=auto" \
    https://media.kaliko.me/src/sima/releases/[mpdMPD]{3}_sima[-_]([\d\.]+)\.tar.xz
